UNIVERSE(2)

NAME
universe - change the universe for a process

SYNOPSIS
#include <sys/universe.h>
cc = universe(uflag)
int cc;
int uflag;

DESCRIPTION
Universe changes the universe to the value specified by uflag. Uflag can have one of three values:

U_UCB
    to change the universe to ucb,

U_ATT
    to change the universe to att, or

U_GET
    to keep the current universe unaltered (this is useful when the current universe value is to be obtained, but not changed).

RETURN VALUE
Upon successful completion, universe returns the current universe value (as U_UCB or U_ATT). Otherwise, a value of -1 is returned, and the global variable errno is set to indicate the error.

ERRORS
Universe will fail if:

[EINVAL]
    Uflag is not one of the allowed values.

SEE ALSO
universe(1), csymlink(2), readclink(2)